Lists
List
Returns the lists the calling User can reach, each carrying a current entries_count; list_types CUSTOM narrows it to lists created in the workspace and SYS to the tags, ticket status and ticket priority lists only.
Filtering, searching and sorting run in memory over all lists, 100 per page ordered by id ascending by default.
GET
/api/{tenant:minlength(2)}/v{version:apiVersion}/lists
- Authorisation
- Minimum role: USER
Request arguments
Request body example
Response
- Status
- 200 (OK)
- Type
- DTO_list[]
- Wrapper
- DTO_response_wrap_get_many
- Other statuses
- 400 (BadRequest), 403 (Forbidden)
Response body example
DTO_standard_filter
| Name | Type | ReadOnly | Description |
| sort_by_key | String | | Sort by key |
| response_field_keys | String[] | | Only return the fields specified |
| filters | String[] | | Each string needs to be structured: filters=field_key:operator:value1|value2|value3
Only used to store filters for passing along as querystring |
| include_aggregations | Boolean | | Include aggregations |
| include_imported | Boolean | | Include imported |
| search | String | | Search |
| sort_order | ENUM sort_order | | Sort order |
| take | Int32 | | Take |
| page | Int32 | | Page |
DTO_list
| Name | Type | ReadOnly | Description |
| list_fields | DTO_list_field[] | | List fields |
| group_access | DTO_group_access[] | | Group access |
| sys_tags | DTO_reference[] | | Label can be used on POST/PUT to create new tags |
| created_by | DTO_reference_user | ReadOnly | Created by |
| last_updated_by | DTO_reference_user | ReadOnly | Last updated by |
| id | Int32 | ReadOnly | Leave empty on input |
| type | ENUM list_type | ReadOnly | Type |
| highest_group_permission | ENUM group_permission | ReadOnly | Current users highest group permission |
| name | String | | Name |
| unique_key | String | | Unique key |
| description | String | | Description |
| entries_count | Int32 | | Entries count |
| created | DateTime | ReadOnly | Created |
| last_updated | DateTime | ReadOnly | Last updated |
DTO_list_field
| Name | Type | ReadOnly | Description |
| id | Int32 | | Id |
| is_required | Boolean | | Is required |
| is_unique_identifier | Boolean | | Is unique identifier |
DTO_group_access
| Name | Type | ReadOnly | Description |
| permission | ENUM group_permission | | Permission |
| id | Int32 | | Id |
| label | Object | ReadOnly | Label |
DTO_reference
| Name | Type | ReadOnly | Description |
| id | Int32 | | The id of the reference |
| label | Object | ReadOnly | Name/Label from referenced object. |
DTO_reference_user
| Name | Type | ReadOnly | Description |
| profile_pic | String | ReadOnly | Profile pic |
| email | String | ReadOnly | Email |
| id | Int32 | | Id |
| label | Object | ReadOnly | Label |
ENUM group_permission
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | READ | Read only |
| 2 | EDIT | Edit |
| 3 | FULL | Full |
ENUM sort_order
| Value | Name | Description |
| 0 | ASC | ASC |
| 1 | DESC | DESC |
ENUM list_type
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | CUSTOM | CUSTOM |
| 2 | SYS_TAGS | SYS_TAGS |
| 3 | SYS_TICKET_STATUSES | SYS_TICKET_STATUSES |
| 4 | SYS_TICKET_PRIORITIES | SYS_TICKET_PRIORITIES |
| 5 | SYS_TICKET_TYPES | SYS_TICKET_TYPES |
| 6 | SYS_TICKET_FORM_TYPES | SYS_TICKET_FORM_TYPES |
| 7 | SYS_KB_TYPE | SYS_KB_TYPE |
| 9 | SYS_FILES | SYS_FILES |
| 10 | SYS_MULTI_OPTIONS | SYS_MULTI_OPTIONS |
Generated Aug 4, 2026 18:37